services:
  appflowy-cloud-nginx-1:
    command:
    - nginx
    - -g
    - daemon off;
    container_name: appflowy-cloud-nginx-1
    entrypoint:
    - /docker-entrypoint.sh
    environment:
      DYNPKG_RELEASE: 1~bookworm
      NGINX_VERSION: 1.29.1
      NJS_RELEASE: 1~bookworm
      NJS_VERSION: 0.9.1
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PKG_RELEASE: 1~bookworm
    image: nginx
    ports:
    - 8443:443/tcp
    - 8080:80/tcp
    restart: on-failure
    stop_signal: SIGQUIT
    volumes:
    - /home/jon/AppFlowy-Cloud/nginx/nginx.conf:/etc/nginx/nginx.conf:rw
    - /home/jon/AppFlowy-Cloud/nginx/ssl/certificate.crt:/etc/nginx/ssl/certificate.crt:rw
    - /home/jon/AppFlowy-Cloud/nginx/ssl/private_key.key:/etc/nginx/ssl/private_key.key:rw
